Adverti horiz upsell

FFx_Tools (FumeFx UI(max) for maya ) 0.5.6 for Maya (maya script)

FumeFx UI for maya, just as max version

License
Button download
544 Downloads

Compatibility

  • 2016

Operating Systems

  • Linux

History

Created:04/11/2016
Last Modified:04/28/2016
File Size: 142 KB

Keywords

VFX, maya, fumefx

Q/A

install_error_message

Date:04/18/2016
Submitted by: John Thompson John Thompson
using maya2014.
get error message on "import" statement
Error-- ImportError: No module named mayaMixin #
Do I need Maya 2015+

John

Replies to this question:

  • looksoon sun

    looksoon sun said over 6 years ago:

    Yes, you are right. Because Maya has a mayamixin module from 2015.
  • John Thompson

    John Thompson said over 6 years ago:

  • John Thompson

    John Thompson said over 6 years ago:

    Tks yr reply. Will it work if I install the mayaMixin.py file or are there other modules yr script relies on If so where would I install the file? John
  • looksoon sun

    looksoon sun said over 6 years ago:

    I don't know, you can try it yourself.
  • John Thompson

    John Thompson said over 6 years ago:

    Hi Lookson, Trialed it wih maya2015SP6 Get error in ffxWidget.py Line1293 LazyLoadModule object has no attribute "FfxEffectorNode" Is this pertinent to 2015 and corrected in 2016 John
  • Replyindent
    looksoon sun

    looksoon sun said over 6 years ago:

    "FfxEffectorNode" is a fumefx node, have you loaded the plugin correctly? I didn't tested it with maya 2015, but 2016 (win and linux)
  • John Thompson

    John Thompson said over 6 years ago:

    Hi Looksoon, using version 0.5.6 What is the plugin file . Do I have to load it somewhere and then select it in the plugin manager. Currently all files unzipped to ---path/maya/scripts
  • Replyindent
    looksoon sun

    looksoon sun said over 6 years ago:

    [quote=john-thompson]Hi Looksoon, using version 0.5.6 What is the plugin file . Do I have to load it somewhere and then select it in the plugin manager. Currently all files unzipped to ---path/maya/scripts[/quote]I I mean "FfxEffectorNode" is a node of Fumefx, and try it with 2016.
  • John Thompson

    John Thompson said over 6 years ago:

    Hi Looksoon, OK now tried on a 2016 machine but get the same error re:ffxEffectorNode.;Note there is a lenghty feedback in script editor-mainly pymel warnings Does this have any bearing on problem. Will send file by email if reqd John
  • Replyindent
    looksoon sun

    looksoon sun said over 6 years ago:

    Very strenge, please show all error and warning message
  • John Thompson

    John Thompson said over 6 years ago:

    Hi Looksoon, Below is feedback from script editor import projects.VFX.ffx_tools as ffxTools ffxTools.main() # pymel.core : Updating pymel with pre-loaded plugins: mayaHIK, GamePipeline, CloudImportExport, tiffFloatReader, bifrostvisplugin, studioImport, ikSpringSolver, ik2Bsolver, xgenToolkit, AbcExport, retargeterNodes, gameFbxExporter, VectorRender, AutodeskPacketFile, OpenEXRLoader, Unfold3D, mayaCharacterization, modelingToolkit, MayaMuscle, rotateHelper, DirectConnect, matrixNodes, AbcImport, BifrostMain, autoLoader, sceneAssembly, gpuCache, Substance, shaderFXPlugin, bifrostshellnode, ArubaTessellator, xgenMR, quatNodes, fbxmaya # xgmNurbsPatch [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmPatch', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmNurbsPatch'] # Warning: pymel.internal.apicache : lineage for node xgmNurbsPatch is cyclical: [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmPatch', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmNurbsPatch'] # xgmSubdPatch [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmPatch', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmSubdPatch'] # Warning: pymel.internal.apicache : lineage for node xgmSubdPatch is cyclical: [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmPatch', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmSubdPatch'] # xgmArchiveGuide [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmGuide', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmArchiveGuide'] # Warning: pymel.internal.apicache : lineage for node xgmArchiveGuide is cyclical: [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmGuide', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmArchiveGuide'] # xgmCardGuide [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmGuide', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmCardGuide'] # Warning: pymel.internal.apicache : lineage for node xgmCardGuide is cyclical: [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmGuide', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmCardGuide'] # xgmSphereGuide [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmGuide', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmSphereGuide'] # Warning: pymel.internal.apicache : lineage for node xgmSphereGuide is cyclical: [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmGuide', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmSphereGuide'] # xgmSplineGuide [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmGuide', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmSplineGuide'] # Warning: pymel.internal.apicache : lineage for node xgmSplineGuide is cyclical: [u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmGuide', u'containerBase', u'entity', u'dagNode', u'shape', u'geometryShape', u'deformableShape', u'controlPoint', u'surfaceShape', u'THsurfaceShape', u'xgmSplineGuide'] # # Error: line 1: AttributeError: file C:\Users\John\My Documents\maya\scripts\projects\VFX\ffx_tools\ffx_widget.py line 1293: '_LazyLoadModule' object has no attribute 'FfxEffectorNode' # trust this helps John
  • Replyindent
    looksoon sun

    looksoon sun said over 6 years ago:

    Hi, I've tried to find out the problem, but no result. Maybe you should update your maya to SP5
  • John Thompson

    John Thompson said over 6 years ago:

    Looksoon, Updated maya2016 to SP6. Same result. So its a non-starter for me. Thanks anyway John
  • John Thompson

    John Thompson said over 6 years ago:

    Looksoon, Just noticed that the platform quoted is linux and I am using windows 7/8 . Will that explain the problem . John
  • Replyindent
    looksoon sun

    looksoon sun said over 6 years ago:

    Hi, I don't think that, because I have test it using win7, and some one is sucessflul also.

Post a reply: